*** Auto generated by docgen.cmd ***  

## Copyright 
Copyright 2015 - 2019, Remy Gibert and the A2osX contributors. 

## MD5  
Return MD5 Hash for input String  

# C  
`void md5 (const char* str, char* digest);`  

# ASM  
`>PUSHW digest`  
`>PUSHW str`  

## RETURN VALUE  
CC  

## MD5Init  
Initialize a MD5 computation  

# C  
`hMD5 md5init ();`  

# ASM  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Init`  

## RETURN VALUE  
A = hMem To S.MD5  

## MD5Update  
Add Data to MD5 computation  

# C  
`void md5update (hMD5 md5, char* data, int len);`  

# ASM  
`>PUSHW len`  
`>PUSHW data`  
`>LDA.G md5`  
`>hLIBCRYPT,LIBCRYPT.MD5Update`  

## RETURN VALUE  

## MD5Finalize  

# C  
`void md5finalize (hMD5 md5, char* digest);`  

# ASM  
`>PUSHW digest`  
`>LDA.G md5`  
`>LIBCALL hLIBCRYPT,LIBCRYPT.MD5Finalize`  

## RETURN VALUE  

## License
A2osX is licensed under the GNU General Pulic License.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

The full A2osX license can be found **[Here](../LICENSE)**.

*** End of Auto generated file ***  
